import {Component, OnInit} from '@angular/core';
import {SystemService} from '../system.service';
import {pageSize} from '../../app.constants';
import {NzMessageService} from 'ng-zorro-antd';

@Component({
    selector: 'jhi-examine',
    templateUrl: './examine.component.html',
    styles: []
})
export class ExamineComponent implements OnInit {

    pageSize = pageSize;
    name;
    //已审批
    pageNoAlready = 1;
    totalNumAlready;
    areadyList = [];

    //未审批
    pageNoNo = 1;
    totalNumNo;
    noList = [];

    allChecked;
    indeterminate;
    displayData = [];

    constructor(private systemSer: SystemService,private message:NzMessageService) {
    }

    currentPageDataChange($event: Array<{ entityName: string; checked: boolean; disabled: boolean; }>): void {
        this.displayData = $event;
        this.refreshStatus();
    }

    refreshStatus(): void {
        const allChecked = this.displayData.filter(value => !value.disabled).every(value => value.checked === true);
        const allUnChecked = this.displayData.filter(value => !value.disabled).every(value => !value.checked);
        this.allChecked = allChecked;
        this.indeterminate = (!allChecked) && (!allUnChecked);
    }

    checkAll(value: boolean): void {
        this.displayData.forEach(data => {
            if (!data.disabled) {
                data.checked = value;
            }
        });
        this.refreshStatus();
    }

    ngOnInit(){
        this.getCurrentRole();
    }

    getCurrentRole(){
        this.systemSer.checkRole().subscribe(
            (res)=>{

            }
        )
    }

    getListAlready() {
        const data = {
            pageNo: this.pageNoAlready,
            pageSize: this.pageSize,
            name:this.name
        };
        this.systemSer.getApproveOfDone(data).subscribe(
            (res) => {
                if(res.errCode == 10000){
                    this.areadyList = res.data;
                }else{
                    this.message.error(res.errMsg);
                }
            }
        );
    }

    getListNo() {
        const data = {
            pageNo: this.pageNoNo,
            pageSize: this.pageSize,
            name:this.name
        };
        this.systemSer.unApproveListSystemManager(data).subscribe(
            (res) => {
                if(res.errCode == 10000){
                    this.noList = res.data;
                }else{
                    this.message.error(res.errMsg);
                }
            }
        );
    }

}
